QDomComment(3qt)

NAME
QDomComment - Represents an XML comment <h1 align=center>QDomComment Class Reference
<small>[ XML module ]</small></h1>

#include <qdom.h>

Inherits QDomCharacterData.

  Public Members
QDomComment ()
QDomComment ( const QDomComment & x )
QDomComment& operator= ( const QDomComment & )
~QDomComment ()
virtual QDomNode::NodeType nodeType () const
virtual bool isComment () const

DESCRIPTION
The QDomComment class represents an XML comment.

A comment in the parsed XML such as

  <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

MEMBER FUNCTION DOCUMENTATION

QDomComment::QDomComment ()
Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

QDomComment::QDomComment ( const QDomComment & x )
Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

QDomComment::~QDomComment ()
Destructor.

bool QDomComment::isComment () const [virtual]
Returns TRUE.

Reimplemented from QDomNode.

QDomNode::NodeType QDomComment::nodeType() const [virtual]
Returns CommentNode.

Reimplemented from QDomNode.

QDomComment& QDomComment::operator= ( const QDomComment & x )
Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

SEE ALSO
http://doc.trolltech.com/qdomcomment.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.